summaryrefslogtreecommitdiff
path: root/plugins/atom
diff options
context:
space:
mode:
authorRamses Ladlani <ramses.ladlani@fishingcactus.com>2015-09-21 08:49:18 +0200
committerRamses Ladlani <ramses.ladlani@fishingcactus.com>2015-09-21 08:49:18 +0200
commit7576f856b915e6e02c5990cd7e221d7b9efbe44a (patch)
treebe3fe162edbc04946eea014a3612280d4909dc1e /plugins/atom
parent6e0fcf803fe00445c97861360d1b0806d8cc56b8 (diff)
parent918d26e7dbcb907e673df24242c9688cd89019b9 (diff)
downloadzsh-7576f856b915e6e02c5990cd7e221d7b9efbe44a.tar.gz
zsh-7576f856b915e6e02c5990cd7e221d7b9efbe44a.tar.bz2
zsh-7576f856b915e6e02c5990cd7e221d7b9efbe44a.zip
Merge remote-tracking branch 'robyrussel/master' into fix-atom_plugin_for_cygwin
Discarded all previous changes to atom plugin for easier review in next commit.
Diffstat (limited to 'plugins/atom')
-rw-r--r--plugins/atom/README.md12
-rw-r--r--plugins/atom/atom.plugin.zsh28
2 files changed, 17 insertions, 23 deletions
diff --git a/plugins/atom/README.md b/plugins/atom/README.md
index 75d77a0ac..6350c647b 100644
--- a/plugins/atom/README.md
+++ b/plugins/atom/README.md
@@ -1,6 +1,8 @@
## atom
-Plugin for Atom, a cross platform text and code editor, available for Linux, Mac OS X, and Windows.
+This plugin makes "at" a useful function for invoking the Atom Editor.
+
+Originally by Github user [aforty](https://github.com/aforty) for OSX, modified to alias 'at' to 'atom' for Linux, since atom already works on the terminal for Linux, and calling 'at' in a non-OSX environment should still work.
### Requirements
@@ -10,8 +12,12 @@ Plugin for Atom, a cross platform text and code editor, available for Linux, Mac
* If `at` command is called without an argument, launch Atom
- * If `at` is passed a directory, `cd` to it and open it in Atom
+ * If `at` is passed a directory, open it in Atom
* If `at` is passed a file, open it in Atom
- * if `att` command is called, it is equivalent to `at .`, opening the current folder in Atom
+### Examples
+
+ * Open the current dir in atom: `at .`
+ * Open another dir in atom: `at path/to/folder`
+ * Open a file: `at filename.extension`
diff --git a/plugins/atom/atom.plugin.zsh b/plugins/atom/atom.plugin.zsh
index 290c75330..ec1a114ed 100644
--- a/plugins/atom/atom.plugin.zsh
+++ b/plugins/atom/atom.plugin.zsh
@@ -1,23 +1,9 @@
-if [ Cygwin = "$(uname -o 2>/dev/null)" ]; then
- local _atom_path > /dev/null 2>&1
+# Gets OS Type
+unamestr=$(uname -s)
- _atom_path=${LOCALAPPDATA}/atom/bin/atom
-
- if [[ -a $_atom_path ]]; then
- cyg_open_atom()
- {
- if [[ -n $1 ]]; then
- ${_atom_path} `cygpath -w $1`
- else
- ${_atom_path}
- fi
- }
-
- alias at=cyg_open_atom
- fi
-else
+# If OSX
+if [[ "$unamestr" == 'Darwin' ]]; then
local _atom_paths > /dev/null 2>&1
-
_atom_paths=(
"$HOME/Applications/Atom.app"
"/Applications/Atom.app"
@@ -29,6 +15,8 @@ else
break
fi
done
+# If Linux
+elif [[ "$unamestr" == 'Linux' ]]; then
+ # Alerts the user if 'atom' is not a found command.
+ type atom >/dev/null 2>&1 && alias at="atom" || { echo >&2 "You have enabled the atom oh-my-zsh plugin on Linux, but atom is not a recognized command. Please make sure you have it installed before using this plugin."; }
fi
-
-alias att='at .'